<!--
/*
 * Title:       SrPago Payment Gateway
 * Author:      Roberto Ramírez
 * URL:         https://www.srpago.com
 */
 -->

<div class="payment-method" data-bind="css: {'_active': (getCode() == isChecked())}">
    <div class="payment-method-title field choice">
        <input type="radio"
               name="payment[method]"
               class="radio"
               data-bind="attr: {'id': getCode()}, value: getCode(), checked: isChecked, click: selectPaymentMethod, visible: isRadioButtonVisible()" />
        <label data-bind="attr: {'for': getCode()}" class="label"><span data-bind="text: getTitle()"></span></label>
    </div>

    <div class="payment-method-content">
        <!-- ko foreach: getRegion('messages') -->
        <!-- ko template: getTemplate() --><!-- /ko -->
        <!--/ko-->
        <div class="payment-method-billing-address">
            <!-- ko foreach: $parent.getRegion(getBillingAddressFormName()) -->
            <!-- ko template: getTemplate() --><!-- /ko -->
            <!--/ko-->
        </div>

        <!-- ko if: getInstructions() -->
        <dl class="items check payable">
            <!-- ko if: getInstructions() -->
            <dt class="title"><!-- ko i18n: 'Instrucciones:' --><!-- /ko --></dt>
            <dd class="content"><!-- ko text: getInstructions() --><!-- /ko --></dd>
            <!-- /ko -->
        </dl>
        <!-- /ko -->

        <!-- ko if: getStoresValues() -->
            <fieldset class="fieldset ccard">
                <div class="field type">
                    <label class="label" for="srpago_store">
                        <span>Seleccionar una sucursal</span>
                    </label>
                    <div class="control">
                        <select id="srpago_store" name="store" class="select" data-bind="
                            options: getStoresValues(),
                            optionsText: 'label',
                            optionsValue: 'value',
                        "></select>
                    </div>
                </div>
            </fieldset>
        <!--/ko-->

        <div class="checkout-agreements-block">
            <!-- ko foreach: $parent.getRegion('before-place-order') -->
                <!-- ko template: getTemplate() --><!-- /ko -->
            <!--/ko-->
        </div>

        <div class="actions-toolbar">
            <div class="primary">
                <button class="action primary checkout"
                        type="submit"
                        data-bind="
                            click: placeOrder,
                            attr: {title: $t('Place Order')}
                        ">
                    <span data-bind="i18n: 'Place Order'"></span>
                </button>
            </div>
        </div>
    </div>
</div>
